#!/bin/bash

DEVICE=/dev/mmcblk1
PART1=${DEVICE}p1

if [ ! -e /tmp/dbus-gui.sh ] ; then
  exit 0
fi

. /tmp/dbus-gui.sh
export DBUS_SESSION_BUS_ADDRESS
export DBUS_SESSION_BUS_PID

if [ "$ACTION" == "remove" ] ; then
	echo "device removed"
	umount -l /mnt
	/sbin/send-device-removed.sh
	exit 0
fi

if [ -e $PART1 ] ; then
	if ! mount $PART1 /mnt -o rw ; then
		mount $DEVICE -o rw /mnt
	fi
else
	mount $DEVICE -o rw /mnt
fi

if df | grep -q /mnt ; then
	/sbin/send-device-inserted.sh
else
	/sbin/send-device-not-recognized.sh
fi
