#!/bin/bash

getMacAddress() {
	address=$(ip -oneline link | grep $1 | sed -e 's/.*ether \([0-9a-fA-F:]*\).*/\1/')
	echo $address
}

ETH_MAC=$(getMacAddress eth0)
WLAN_MAC=$(getMacAddress wlan0)

adjustable=$(echo $ETH_MAC | cut -d: -f4-)

if [ "$adjustable" == "00:00:00" ] ; then
	echo We need to adjust MAC address
	if [ -n "$WLAN_MAC" ] ; then
		wlan=$(echo $WLAN_MAC | cut -d: -f4-)
		lan=$(echo $ETH_MAC | cut -d: -f-3)
		result=$lan:$wlan
		echo setting MAC address to $result
		ifconfig eth0 hw ether $result
	fi
fi		
