#!/bin/bash

DATE=${1}
TIMEZONE=${2}
ZONEDIR=/usr/share/zoneinfo

if [ -n "${TIMEZONE}" ] ; then
	ZONEFILE=${ZONEDIR}/${TIMEZONE}
	if [ -f "${ZONEFILE}" ] ; then
		ln -sf "${ZONEFILE}" /data/localtime
	else
		echo invalid zonefile $ZONEFILE
	fi
else
	echo no timezone given
fi

if [ -n "${DATE}" ] ; then
	date "${DATE}"
	hwclock --systohc
else
	echo no date given
fi
